Status: Resolved Priority: Must have
Created: 2010-03-18 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: SQL error when using setOrderings() without matching()
Description

Using setOrderings() on a query object without the use of matching() results in the following SQL error.

Example: 

$query = $this->createQuery();
return $query->setOrderings(array('lastname' => \F3\FLOW3\Persistence\QueryInterface::ORDER_ASCENDING))->execute();

Will give the following SQL error:

SQLSTATE[HY000]: General error: 1 no such column: d.parent

When adding a $query->matching(), it works as expected.

Tested on alpha7 using the default SQLite.

Associated revisions
Revision e8496fe9 - 2010-03-18 17:12 - Karsten Dambekalns

[+BUGFIX] FLOW3 (Persistence): Queries using orderings but no constraints now work, fixes #6911.

History
#1 - 2010-03-18 16:32 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Start date deleted (2010-03-18)

#2 - 2010-03-18 16:41 - Karsten Dambekalns
- Target version set to 1.0 alpha 8
- Start date set to 2010-03-18
- Estimated time set to 1.00

#3 - 2010-03-18 18:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100
Applied in changeset r3993.

2015-08-03 2/2


